{% extends 'index.html' %}
{% block content %}

{% for adocao in adocoes %}
    <div class="card">
        <div class="card-img dual-img">
            <img src={{ url_for('static', filename='img/animais/' + adocao[8]) }} alt="Imagem de paisagem">
            <img src={{ url_for('static', filename='img/animais/' + adocao[8]) }} alt="Imagem de paisagem">
        </div>
        {% set idanimal =  adocao[0] ~ '' %}
        {% set idanimaldois =  adocao[0]|string + 's' %}
        <h2>{{adocao[1]}}</h2>
        <h2>{{adocao[5]}}</h2>
        <div class="card-buttons">
            <button class="card-button card-button-center"  style="margin-right: 10px;" onclick="exibirDados({{idanimal[0]}})">Exibir Dados</button>
            {% if adocao[7] %}
                <button class="card-button card-button-center"  style="margin-right: 10px;" onclick="confirmarDados({{idanimal[0]}})">PET Adotado (Desfazer)</button>
            {% else %}
                <button class="card-button card-button-center"  style="margin-right: 10px;" onclick="confirmarDados({{idanimal[0]}})">Confirmar Adoção</button>
                <button class="card-button card-button-center"  style="margin-right: 10px;" onclick="excluirDados({{idanimal[0]}})">Descartar Adoção</button>
            {% endif %}
            <button class="card-button card-button-center"  style="margin-right: 10px;" onclick="editarDados({{idanimaldois[0]}})">Editar Dados</button>
        </div>
        </br>
        <div class = "dados-adocao" id = {{idanimal[0]}}>
            <h3>{{'Nome do Responsável: '}}{{adocao[1]}}</h3>
            <h3>{{'RG: '}}{{adocao[2]}}</h3>
            <h3>{{'Telefone: '}}{{adocao[3]}}</h3>
            <h3>{{'E-Mail: '}}{{adocao[4]}}</h3>
            <h3>{{'Nome do PET: '}}{{adocao[5]}}</h3>
        </div>
        <div class="editAdocao" id = {{idanimaldois}}>
            <h1>Editar Dados da Adoção</h1>
            <form action={{url_for("aadopt")}} method="POST">
                {{form.csrf_token}}
                <input type=”hidden” value={{idanimal[0]}} name = "id" style="display: none;">
                <div>
                    <label for="input-name">Nome do responsável:</label>
                    {{form.nome_responsavel(placeholder = "Nome e Sobrenome", maxlength="100")}}
                </div>
                <div>
                    <label for="input-rg">RG do responsável:</label>
                    {{form.rg(placeholder = "Apenas números", pattern="[0-9]+$", minlength = "8", maxlength="8")}}
                </div>
                <div>
                    <label for="input-tel">Telefone para contato:</label>
                    {{form.telefone(placeholder = "Apenas números - DDD + TEL", pattern="[0-9]+$", minlength= "11", maxlength="11")}}
                </div>
                <div>
                    <label for="input-email">Email para contato:</label>
                    {{form.email_contato(placeholder = "Endereço de E-Mail")}}
                </div>
                <div>
                    <label for="input-pet-name">Nome do PET:</label>
                    {{form.nome_pet(placeholder = "Nome do Animal", maxlength="100")}}
                </div>
                <input type="submit" value="Concluir">
            </form>
        </div>
        {% with messages = get_flashed_messages() %}
            {% if messages %}
                <ul class=flashes>
                    {% for message in messages %}
                        <li>{{ message }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        {% endwith %}
    </div>
{% endfor %}
    
<script src={{ url_for('static', filename='js/jquery.js') }} type="text/javascript"></script>
<script src={{ url_for('static', filename='js/aadopt.js') }} type="text/javascript"></script>
{% endblock %}